Subject: bug#53764: 27.1; shouldn't ~/diary be in diary-mode?

From: Francesco Potortì <[email-masked]>
Date: Wed, 09 Feb 2022 19:03:32 +0100

Michael Heerdegen <[email-masked]> writes:
>> Maybe we can leave a short remark about the existence of the mode in the
>> manual?

I'd say definitely yes.

>We could also have `diary-make-entry' put a diary mode cookie into the
>diary file (if the file doesn't exist already).
>
>That'd make the buffer a big uglier when editing it from Calendar (with
>`i d' etc), though.

Only if the mode is set at the end of file, I think that putting the
-*- diary -*- string at the beginning would not make it bad.